summaryrefslogtreecommitdiff
path: root/tools/testall-ward
diff options
context:
space:
mode:
authorJohn Denker <jsd@av8n.com>2012-11-24 21:21:37 -0800
committerJohn Denker <jsd@av8n.com>2012-11-24 21:21:37 -0800
commit153b9229315e87ffcdbc12a6d26ef78d4ed33d16 (patch)
tree617d269d19c99b4281055dbc0f3f190d934619c2 /tools/testall-ward
parent9a783cb0791327367d85b63bf3e0e4e1aa215163 (diff)
don't print blank lines in log if no valid SPF result
Diffstat (limited to 'tools/testall-ward')
-rwxr-xr-xtools/testall-ward9
1 files changed, 9 insertions, 0 deletions
diff --git a/tools/testall-ward b/tools/testall-ward
new file mode 100755
index 0000000..27b912b
--- /dev/null
+++ b/tools/testall-ward
@@ -0,0 +1,9 @@
+#! /bin/bash
+
+i=0
+for file in /home/jsd/Maildir/cur/* ; do
+ ((ii++))
+ echo "**** $ii $file"
+ <$file ./ward -err >/tmp/testall.eml && diff $file /tmp/testall.eml || exit 1
+done
+echo OK